GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
VSIFilesystemPluginCallbacksStruct Struct Reference

struct containing callbacks to used by the handler. More...

`#include <cpl_vsi.h>`

## Public Attributes
void * | pUserData
| Optional opaque pointer passed back to filemanager callbacks (e.g. More...
VSIFilesystemPluginStatCallback | stat
| stat handle by name (rw)
VSIFilesystemPluginUnlinkCallback | unlink
| unlink handle by name ()
VSIFilesystemPluginRenameCallback | rename
| rename handle ()
VSIFilesystemPluginMkdirCallback | mkdir
| make directory ()
VSIFilesystemPluginRmdirCallback | rmdir
| remove directory ()
VSIFilesystemPluginReadDirCallback | read_dir
| list directory content (r?)
VSIFilesystemPluginOpenCallback | open
| open handle by name (rw)
VSIFilesystemPluginTellCallback | tell
| get current position of handle (rw)
VSIFilesystemPluginSeekCallback | seek
| set current position of handle (rw)
VSIFilesystemPluginReadCallback | read
| read from current position (r)
VSIFilesystemPluginReadMultiRangeCallback | read_multi_range
| read multiple blocks ()
VSIFilesystemPluginGetRangeStatusCallback | get_range_status
| get range status ()
VSIFilesystemPluginEofCallback | eof
| has end of file been reached (r?)
VSIFilesystemPluginWriteCallback | write
| write bytes to current position (w)
VSIFilesystemPluginFlushCallback | flush
| sync bytes (w)
VSIFilesystemPluginTruncateCallback | truncate
| truncate handle (w?)
VSIFilesystemPluginCloseCallback | close
| close handle (rw)

## Detailed Description

struct containing callbacks to used by the handler.

(rw), (r), (w) or () at the end indicate wether the given callback is mandatory for reading and or writing handlers. A (?) indicates that the callback might be mandatory for certain drivers only.

Since
  GDAL 2.5

## Member Data Documentation

void* VSIFilesystemPluginCallbacksStruct::pUserData

Optional opaque pointer passed back to filemanager callbacks (e.g.

open, stat, rmdir)

The documentation for this struct was generated from the following file:

- cpl_vsi.h

Generated for GDAL by 1.8.8.